Subject: Re: [PATCH v13 net-next 04/15] net: mvpp2: always compare hw-version vs MVPP21

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 11 Feb 2021 11:08:09 +0000

On Thu, Feb 11, 2021 at 12:48:51PM +0200, [email-masked] wrote:
> @@ -1199,7 +1199,7 @@ static bool mvpp2_port_supports_xlg(struct mvpp2_port *port)
>  
>  static bool mvpp2_port_supports_rgmii(struct mvpp2_port *port)
>  {
> -	return !(port->priv->hw_version == MVPP22 && port->gop_id == 0);
> +	return !(port->priv->hw_version != MVPP21 && port->gop_id == 0);

I'm still very much of the opinion (as raised several revisions back)
that using > MVPP21 or >= MVPP22 would be a lot better - especially
when we have situations like this. Having negatives within negatives
does not help readability.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!